commit f23a894f3b5ea42f16c996c76130e0494b1ffff7
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Thu Oct 31 19:00:36 2024 +0100

    testsuite: arm: Use effective-target for pr68620 and pr78041 tests
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/pr68620.c: Use effective-target arm_neon.
            * gcc.target/arm/pr78041.c: Use effective-target arm_arch_v7a.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit c7518891483e2aa558390ffeab4a19ba747814d6)

diff --git a/gcc/testsuite/gcc.target/arm/pr68620.c b/gcc/testsuite/gcc.target/arm/pr68620.c
index 91878432b00..6e38671752f 100644
--- a/gcc/testsuite/gcc.target/arm/pr68620.c
+++ b/gcc/testsuite/gcc.target/arm/pr68620.c
@@ -1,8 +1,8 @@
 /* { dg-do compile } */
 /* { dg-skip-if "-mpure-code supports M-profile without Neon only" { *-*-* } { "-mpure-code" } } */
-/* { dg-require-effective-target arm_fp_ok } */
-/* { dg-options "-mfp16-format=ieee" } */
-/* { dg-add-options arm_fp } */
+/* { dg-require-effective-target arm_arch_v7a_ok } */
+/* { dg-options "-mfp16-format=ieee -mfpu=auto -mfloat-abi=softfp" } */
+/* { dg-add-options arm_arch_v7a } */
 
 #include "arm_neon.h"
 
diff --git a/gcc/testsuite/gcc.target/arm/pr78041.c b/gcc/testsuite/gcc.target/arm/pr78041.c
index 340ab5cb433..418b7e09fc4 100644
--- a/gcc/testsuite/gcc.target/arm/pr78041.c
+++ b/gcc/testsuite/gcc.target/arm/pr78041.c
@@ -1,6 +1,7 @@
 /* { dg-require-effective-target arm_thumb2_ok } */
 /* { dg-require-effective-target arm_neon_ok } */
-/* { dg-options "-fno-inline -mthumb -O1 -mfpu=neon -w" } */
+/* { dg-options "-fno-inline -mthumb -O1 -w" } */
+/* { dg-add-options arm_neon } */
 
 extern void abort (void);
 

